import { z } from "zod"

export const personUpdateSchema = z.object({
    firstName: z.string(),
    surname: z.string(),
    middleName: z.string().optional(),
    sexCode: z.string(),
    personRef: z.string().optional(),
    personTag: z.string().optional(),
    fatherName: z.string().optional(),
    motherName: z.string().optional(),
    countryCode: z.string().optional(),
    nationalIdentityId: z.string().optional(),
    birthPlace: z.string().optional(),
    birthDate: z.string().optional(),
    taxNo: z.string().optional(),
    birthname: z.string().optional(),
    expiryStarts: z.string().optional(),
    expiryEnds: z.string().optional(),
});

export type PeopleUpdate = z.infer<typeof personUpdateSchema>;
